Vistas:
The following article describes how to disable the version check for databases at the beginning of the DocuWare setup as well as after the installation of DocuWare.
This is also applicable for Oracle and MySQL databases if needed.
 
Behavior:
It is not possible to install DocuWare on a server with a newer MSSQL server version, other than the one mentioned in the product requirements.
In the DocuWare Setup the message: "Only MSSQL versions 09.x, 10.x, 11.x, 12.x, 13.x are supported" appears and prevents the setup to continue.
 
Solution:
The setup is comparing the installed database version with the versions listed in the system requirements.

The version check can be disabled.
Please keep in mind that after disabling this check, we cannot guarante a flawless functionality of DocuWare.

To disable the version check for a Setup please follow the following steps:
  1. Start the setup and exit the setup directly after the welcome screen.
  2. The setup recreated the files in the following path: "C:\Program Files (x86)\DocuWare\Setup Components"
    In here you need to edit ALL "DocuWare.DAL.dll.config" files.
    They are also located, depending on the DocuWare Version, in the various subfolders in the Setup Components folder.

    To edit all those files at once, we recommend opening them with Notepad++ and use the "Replace All in All Opened Documents" function to quickly edit all affected files.
    In the Section <dataProvider name="SqlClient" the value in the second line named checkVersion="true" needs to be changed to false.

     
  3. After these changes, please restart the Setup.
 
After the installation, the adaption also has to be done for all "DocuWare.DAL.dll.config" files which are located in the installation direcotry of DocuWare.
The installation path is changing depending on the chosen path in the Setup. The default path would be: "C:\Program Files (x86)\DocuWare\".